# CRUD: Retrieve a product rate plan charge tier Retrieves a specific product rate plan charge tier. Endpoint: GET /v1/object/product-rate-plan-charge-tier/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `fields` (string) Object fields to return ## Path parameters: - `id` (string, required) Object id ## Response 200 fields (application/json): - `CreatedById` (string) The ID of the Zuora user who created the ProductRatePlanChargeTier object. - `CreatedDate` (string) The date when the ProductRatePlanChargeTier object was created. - `Currency` (string) The valid code corresponding to the currency for the tier's price. - `EndingUnit` (number) The end number of a range of units for the tier. Character limit: 16 Values: any positive decimal value - `Id` (string) Object identifier. - `Price` (number) The price of the tier if the charge is a flat fee, or the price of each unit in the tier if the charge model is tiered pricing. Character limit: 16 Values: a valid currency value - `PriceFormat` (string) Indicates if pricing is a flat fee or is per unit. This field is for tiered and volume pricing models only. Values: FlatFee, PerUnit Note: The values Flat Fee and Per Unit (with spaces) is valid for create or update calls. - `StartingUnit` (number) The starting number of a range of units for the tier. Character limit: 16 Values: any positive decimal value - `Tier` (integer) A unique number that identifies the tier that the price applies to. Character limit: 20 Values: automatically generated - `UpdatedById` (string) The ID of the user who last updated the product rate plan charge tier. - `UpdatedDate` (string) The date when the product rate plan charge tier was last updated. ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request. ## Response 404 fields (application/json): - `done` (boolean) - `records` (array) - `size` (integer)